Bug 666792 - fsck.gfs2 reported statfs error after gfs2_grow [rhel-5.6.z]
Summary: fsck.gfs2 reported statfs error after gfs2_grow [rhel-5.6.z]
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel
Version: 5.5
Hardware: Unspecified
OS: Linux
urgent
urgent
Target Milestone: rc
: ---
Assignee: Jiri Pirko
QA Contact: Cluster QE
URL:
Whiteboard:
Depends On: 660661
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-01-03 08:36 UTC by RHEL Program Management
Modified: 2015-05-05 01:22 UTC (History)
20 users (show)

Fixed In Version: kernel-2.6.18-238.1.1.el5
Doc Type: Bug Fix
Doc Text:
Due to an off-by-one error, gfs2_grow failed to take the very last "rgrp" parameter into account when adding up the new free space. With this update, the GFS2 kernel properly counts all the new resource groups and fixes the "statfs" file correctly.
Clone Of:
Environment:
Last Closed: 2011-01-18 18:22:14 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2011:0163 normal SHIPPED_LIVE Important: kernel security and bug fix update 2011-01-18 18:21:57 UTC

Description RHEL Program Management 2011-01-03 08:36:24 UTC
This bug has been copied from bug #660661 and has been proposed
to be backported to 5.6 z-stream (EUS).

Comment 3 Jiri Pirko 2011-01-05 11:52:57 UTC
in kernel-2.6.18-238.1.1.el5

linux-2.6-fs-gfs2-fix-statfs-error-after-gfs2_grow.patch

Comment 7 errata-xmlrpc 2011-01-18 18:22:14 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2011-0163.html

Comment 8 Martin Prpič 2011-07-13 20:30:13 UTC
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
Due to an off-by-one error, gfs2_grow failed to take the very last "rgrp" parameter into account when adding up the new free space. With this update, the GFS2 kernel properly counts all the new resource groups and fixes the "statfs" file correctly.


Note You need to log in before you can comment on or make changes to this bug.